<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepUseMasterLeases Property
DatabaseEnvironment Class See Also Send Feedback

If true, master leases will be used for this site (defaults to false).

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool RepUseMasterLeases { get; set; }

Visual Basic (Declaration)

    Public Property RepUseMasterLeases As Boolean

Visual C++

    public:
    property bool RepUseMasterLeases {
    	bool get ();
    	void set (bool value);
    }

# Remarks

Configuring this option may result in a LeaseExpiredException when attempting to read entries from a database after the site's master lease has expired.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace